package com.persagy.adm.diagram.core.model.logic;

import com.google.gson.annotations.Expose;

import java.util.ArrayList;
import java.util.List;

/**
 * 逻辑组合过滤条件
 * @author zhaoyk
 */
abstract public class LogicFilter extends DataFilter {

	/**
	 * 条目列表
	 */
	@Expose
	protected List<DataFilter> items;

	public List<DataFilter> getItems() {
		return items;
	}

	public void setItems(List<DataFilter> items) {
		this.items = items;
	}

	public void addItem(DataFilter item) {
		if(items == null) {
			items = new ArrayList<>();
		}
		items.add(item);
	}

}
